import request from '@/utils/request'

// 查询药品信息列表
export function listDrugs(query) {
  return request({
    url: '/drugs/drugs/list',
    method: 'get',
    params: query
  })
}

// 查询药品信息详细
export function getDrugs(id) {
  return request({
    url: '/drugs/drugs/' + id,
    method: 'get'
  })
}

// 新增药品信息
export function addDrugs(data) {
  return request({
    url: '/drugs/drugs',
    method: 'post',
    data: data
  })
}

// 修改药品信息
export function updateDrugs(data) {
  return request({
    url: '/drugs/drugs',
    method: 'put',
    data: data
  })
}

// 删除药品信息
export function delDrugs(id) {
  return request({
    url: '/drugs/drugs/' + id,
    method: 'delete'
  })
}

// 导出药品信息
export function exportDrugs(query) {
  return request({
    url: '/drugs/drugs/export',
    method: 'get',
    params: query
  })
}

//出库
export function listAll(query) {
  return request({
    url: '/drugs/drugs/listAll',
    method: 'get',
    params: query
  })
}